
class Project(object):
    def __init__(self, clips):
        self.clips = clips
    
    def __str__(self):
        m3u = ['#EXTM3U']
        for clip in self.clips:
            m3u.append('#EXTINF:%d, %s' % (int(clip['duration']), clip['url']))
            m3u.append('#EXTVLCOPT:start-time=%0.3f' % clip['in'])
            m3u.append('#EXTVLCOPT:stop-time=%0.3f' % clip['out'])
            m3u.append(clip['path'])
        return '\n'.join(m3u)
